@import url("https://fonts.googleapis.com/css2?family=Roboto&display=swap");
/*
====================
VARIABLES
====================
*/
:root {
  --ff-primary: "Roboto", sans-serif;
  --clr-main: #e6af2e;
  --clr-gray: #beb7a4;
  --clr-black: #191716;
  --clr-white: #e0e2db;
}
/*
=====================
GLOBAL CLASS
=====================
*/
body {
  font-family: var(--ff-primary);
  text-transform: capitalize;
}
ul {
  list-style-type: none;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
/*
=====================
divider
=====================
*/
.divider {
  width: 100%;
  height: 6px;
  background: var(--clr-main);
}
/*
=====================
nav
=====================
*/
nav ul {
  background: var(--clr-black);
}
nav ul li a {
  text-decoration: none;
  display: block;
  font-size: 20px;
  text-align: center;
  padding: 15px 25px;
  color: var(--clr-main);
}
nav ul li a:hover {
  color: var(--clr-white);
}
.logo {
  font-size: 40px;
  display: flex;
  justify-content: space-between;
  color: var(--clr-black);
  background: var(--clr-main);
  font-style: italic;
  text-transform: uppercase;
}
.logo:hover {
  color: var(--clr-black);
  background: var(--clr-white);
}
@media screen and (min-width: 576px) {
  .logo i {
    display: none;
  }
  nav ul {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
  }
  nav ul li {
    flex: 1 0 auto;
  }
  .logo {
    justify-content: center;
  }
}
/*
=======================
Banner
=======================
*/
#banner {
  background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url("./images/background-banner.jpg") center/cover no-repeat;
  width: 100%;
  min-height: 90vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-attachment: fixed;
}
.banner-text {
  color: var(--clr-white);
  font-size: 70px;
  text-transform: uppercase;
  font-style: italic;
}
.banner-underline {
  width: 200px;
  border: 3px solid var(--clr-black);
  margin: 10px auto 20px auto;
}
.banner-btn {
  display: flex;
  justify-content: space-between;
}
.banner-btn button {
  font-size: 30px;
  padding: 15px;
  text-transform: uppercase;
  color: var(--clr-main);
  margin: 0 10px;
  background: transparent;
  border: 2px solid var(--clr-main);
  cursor: pointer;
}
.banner-btn button:hover {
  background: var(--clr-main);
  color: var(--clr-white);
}
/*
=====================
skills
=====================
*/
.skills-container {
  background: var(--clr-gray);
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
}
.skills-item {
  padding: 2.5rem 0;
  text-align: center;
}
.skills-item p {
  max-width: 15rem;
  margin: 1.5rem auto;
  color: var(--clr-white);
}
.skills-item i {
  font-size: 40px;
  margin: 1rem 0;
}
.skills-item h1 {
  text-transform: uppercase;
  color: var(--clr-main);
  letter-spacing: 5px;
}
/*
=======================
services
=======================
*/
.title {
  margin: 40px 0;
}

.title-text {
  text-align: center;
  font-size: 40px;
  color: #e0e2db;
  font-style: italic;
  text-transform: uppercase;
}

.title-underline {
  width: 200px;
  border: 3px solid #e6af2e;
  margin: 0 auto;
}
#services {
  background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url("./images/services.jpeg") center/cover no-repeat;
  min-height: 100vh;
  padding: 20px 0 80px 0;
}
.services-container {
  max-width: 90vw;
  margin: 0 auto;
  color: #e0e2db;
}
.service-item {
  overflow: hidden;
  position: relative;
  padding: 60px;
}
.service-item i {
  font-size: 60px;
  margin-bottom: 30px;
  color: #e6af2e;
}
.service-item-black {
  background: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7));
}
.service-item-white {
  background: linear-gradient(
    rgba(206, 208, 206, 0.6),
    rgba(206, 208, 206, 0.6)
  );
  color: #191716;
}
.front-text {
  text-align: center;
  transition: transform 2s;
}
.back-text {
  position: absolute;
  bottom: -15em;
  width: 75%;
  margin: 0 auto;
  height: 100%;
  transition: bottom 2s;
  padding: 30px 0;
}
.back-text h1 {
  margin-bottom: 20px;
}
.back-text button {
  margin-top: 20px;
  padding: 10px 20px;
  background: transparent;
  border: 2px solid #e6af2e;
  font-size: 20px;
  color: #e6af2e;
}
.back-text button:hover {
  background-color: #e6af2e;
  color: #191716;
}
.service-item-white button {
  background: #e6af2e;
  color: #191716;
}
.service-item-white button:hover {
  background: #191716;
  border-color: #191716;
  color: #e6af2e;
}
.service-item:hover .front-text {
  transform: translateY(-200px);
}
.service-item:hover .back-text {
  bottom: 0;
}
@media screen and (min-width: 776px) {
  .services-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
  }
  .services-container .service-item:nth-of-type(1) {
    order: 1;
  }
  .services-container .service-item:nth-of-type(2) {
    order: 2;
  }
  .services-container .service-item:nth-of-type(3) {
    order: 4;
  }
  .services-container .service-item:nth-of-type(4) {
    order: 3;
  }
}
/*
===================
projects
===================
*/

#projects .title-text {
  color: #191716;
}

#projects {
  padding: 20px 0 80px 0;
  background-color: #e0e2db;
}

.projects-container {
  max-width: 90vw;
  margin: 0 auto;
}

.projects-item {
  position: relative;
  background: linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.8));
  color: #e0e2db;
  overflow: hidden;
  position: relative;
  /*margin: 10px 0;*/
}

#projects img {
  width: 100%;
  min-height: 100%;
  transition: transform 4s;
  display: block;
}

.img-text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  opacity: 0;
  transition: opacity 4s;
}

.img-footer {
  display: flex;
  justify-content: space-between;
  width: 100%;
  position: absolute;
  left: 0;
  bottom: 0;
  padding: 10px;
  font-size: 20px;
  opacity: 0;
  color: #e6af2e;
  transition: opacity 4s;
}

.img-text h1 {
  font-size: 30px;
  margin-bottom: 10px;
}

.img-text h6 {
  font-size: 15px;
}

.projects-item:hover img {
  opacity: 0.4;
  transform: scale(1.3);
}

.projects-item:hover .img-text,
.projects-item:hover .img-footer {
  opacity: 1;
}

@media screen and (min-width: 576px) {
  .projects-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-column-gap: 1em;
  }
}

@media screen and (min-width: 992px) {
  .projects-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-column-gap: 1em;
  }
}
/*
===================
contact
===================
*/
#contact {
  background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url("./images/services.jpeg") center/cover no-repeat;
  color: var(--clr-white);
  padding: 90px 0;
}
.contact-center {
  width: 90vw;
  margin: 0 auto;
  text-transform: uppercase;
}
.contact-center h1 {
  font-size: 50px;
  margin-bottom: 10px;
}
.contact-center button {
  background: transparent;
  border: 2px solid var(--clr-main);
  color: var(--clr-main);
  font-size: 30px;
  padding: 10px;
}
.contact-center button:hover {
  color: var(--clr-black);
  background: var(--clr-main);
}
.contact-center {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
/*
===============
recent
===============
*/
#recent {
  background: var(--clr-gray);
  padding: 10px 0 80px 0;
}
.recent-title {
  color: var(--clr-white);
  font-size: 40px;
  text-transform: uppercase;
  padding: 50px 0;
  text-align: center;
  font-style: italic;
}
.recent-img img {
  display: block;
  width: 100%;
  height: 250px;
  transition: opacity 3s;
  object-fit: cover;
}
.recent-center {
  width: 90vw;
  margin: 0 auto;
}
.recent-img {
  position: relative;
  background: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7));
}

.recent-img i {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: var(--clr-main);
  font-size: 45px;
  opacity: 0;
  transition: opacity 3s;
}
.recent-text {
  background: var(--clr-white);
  padding: 20px 15px;
}
.recent-text h2 {
  margin-bottom: 20px;
}
.recent-text button {
  background: transparent;
  color: var(--clr-main);
  border: 2px solid var(--clr-main);
  padding: 10px;
  text-transform: uppercase;
  font-size: 20px;
  margin: 20px 0;
}
.recent-text button:hover {
  color: var(--clr-white);
  background: var(--clr-main);
}
.recent-items {
  margin-bottom: 30px;
}
.recent-img:hover .recent-icon {
  opacity: 1;
}
.recent-img:hover .recent-picture {
  opacity: 0.4;
}
@media screen and (min-width: 776px) {
  .recent-center {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 1rem;
  }
}
@media screen and (min-width: 992px) {
  .recent-center {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    column-gap: 1rem;
  }
}
/*
=====================
footer
=====================
*/
#footer {
  background: var(--clr-black);
  padding: 40px 0;
  color: var(--clr-white);
  font-size: 25px;
}
.footer-icons i {
  margin-left: 20px;
}
.footer-center {
  width: 90vw;
  margin: 0 auto;
  text-transform: uppercase;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
.footer-icons i:hover {
  color: var(--clr-main);
}
